org.kie.internal.runtime.manager.audit.query

## Interface AuditDateDeleteBuilder<T>

- Type Parameters:
    `T` -
  All Superinterfaces:
    AuditDeleteBuilder<T>, ParametrizedQueryBuilder<T>
  All Known Subinterfaces:
    AuditTaskDeleteBuilder, ErrorInfoDeleteBuilder, NodeInstanceLogDeleteBuilder, RequestInfoLogDeleteBuilder, TaskEventDeleteBuilder, TaskVariableDeleteBuilder, VariableInstanceLogDeleteBuilder

      public interface AuditDateDeleteBuilder<T>
      extends AuditDeleteBuilder<T>

  This interface defines methods that are used by all of the Audit delete query builder implementations.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `date(Date... date)` Specify one or more dates as criteria in the query
    `T` | `dateRangeEnd(Date rangeEnd)` Specify the end of a date range to be used as a criteria on the date field.
    `T` | `dateRangeStart(Date rangeStart)` Specify the begin of a date range to be used as a criteria on the date field.

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder

      `build, processId, processInstanceId`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Method Detail

    - #### date

          T date(Date... date)

      Specify one or more dates as criteria in the query
      Parameters:
        `date` - one or more dates
      Returns:
        The current query builder instance

    - #### dateRangeStart

          T dateRangeStart(Date rangeStart)

      Specify the begin of a date range to be used as a criteria on the date field. The date range includes the date specified.
      Parameters:
        `rangeStart` - the start (early end) of the date range
      Returns:
        The current query builder instance

    - #### dateRangeEnd

          T dateRangeEnd(Date rangeEnd)

      Specify the end of a date range to be used as a criteria on the date field. The date range includes this date.
      Parameters:
        `rangeEnd` - the end (later end) of the date range
      Returns:
        The current query builder instance

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.